Bug 169731 - Review Request: ecl - Embeddable Common-Lisp
Review Request: ecl - Embeddable Common-Lisp
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
David Lawrence
http://math.ifi.unizh.ch/fedora/4/i38...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-02 08:35 EDT by Gérard Milmeister
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-16 17:09:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpmlint output (3.23 KB, text/plain)
2005-12-03 16:30 EST, John Mahowald
no flags Details

  None (edit)
Description Gérard Milmeister 2005-10-02 08:35:01 EDT
Spec: http://math.ifi.unizh.ch/fedora/spec/ecl.spec
SRPM: http://math.ifi.unizh.ch/fedora/4/i386/SRPMS.gemi/ecl-0.9g-1.src.rpm
Description:
ECL (Embeddable Common-Lisp) is an interpreter of the Common-Lisp
language as described in the X3J13 Ansi specification, featuring CLOS
(Common-Lisp Object System), conditions, loops, etc, plus a translator
to C, which can produce standalone executables.
Comment 1 John Mahowald 2005-12-03 16:27:04 EST
Using http://math.ifi.unizh.ch/fedora/4/i386/SRPMS.gemi/ecl-0.9h-1.src.rpm

Missing BuildRequires: m4 texinfo
Comment 2 John Mahowald 2005-12-03 16:30:43 EST
Created attachment 121806 [details]
rpmlint output

Could use a -devel package
Comment 3 Gérard Milmeister 2005-12-03 19:19:15 EST
I am not sure it makes much sense to split off a devel package.
Ecl can be considered a development package in itself (we took
this view for clisp for example).
IF a devel is split off, then we must decide what belongs to it
(apart from the .h files).
Comment 4 John Mahowald 2005-12-14 20:39:21 EST
(In reply to comment #3)
> I am not sure it makes much sense to split off a devel package.
> Ecl can be considered a development package in itself (we took
> this view for clisp for example).
> IF a devel is split off, then we must decide what belongs to it
> (apart from the .h files).

I notice a clisp-devel package, for what it's worth.

install.html is not needed, do not include.

also, xorg-x11-devel BuildRequires is unneeded.

Missing m4 and texinfo as per comment 1.

Let's get this to build first.
Comment 5 Gérard Milmeister 2005-12-15 16:41:01 EST
(In reply to comment #4)
> I notice a clisp-devel package, for what it's worth.
Oh, I meant gcl.
What you propose that should go into the devel package?
Comment 6 John Mahowald 2005-12-19 13:02:21 EST
(In reply to comment #5)
> What you propose that should go into the devel package?

Any headers or other devel files that would be used to build something against
the program, but not to use it. If you required certain headers to use the ecl
compiler then they don't need to be, for example gcc includes some devel files.

I don't use this so I do not know what the typical use case requires.
Comment 7 Gérard Milmeister 2006-03-06 19:08:09 EST
As far as I could find out, compiling with ecl
(which arguably is one of the main uses of the
package) requires the files in /usr/lib/ecl
(including the .h files). Thus, I prefer not to
split the package.
Comment 8 John Mahowald 2006-03-09 21:40:09 EST
(In reply to comment #7)
> As far as I could find out, compiling with ecl
> (which arguably is one of the main uses of the
> package) requires the files in /usr/lib/ecl
> (including the .h files). Thus, I prefer not to
> split the package.

Fine with me.

For FC5 you'll have to change to modular X BuildRequires if you need X stuff.
http://fedoraproject.org/wiki/Xorg/Modularization
Comment 9 Gérard Milmeister 2006-03-10 18:06:36 EST
I made some small adjustements:
http://math.ifi.unizh.ch/fedora/4/i386/SRPMS.gemi/ecl-0.9h-3.src.rpm
I left the old BuildRequires for X for now, since I test on FC4.
As soon as the package is imported into cvs, it will be tested with
new BuildRequires for devel.
Comment 10 John Mahowald 2006-03-13 19:52:17 EST
You will likely want to make a note of the lack of a devel package in the spec.

* perl is not needed as a BuildRequires


Good:
- rpmlint checks return:
* some devel-file-in-non-devel-package, ignoring
* dangling symlinks from the debuginfo package back to the build dir, harmless
W: ecl-debuginfo objdump-failed, not serious

- package meets naming guidelines
- package meets packaging guidelines, exception for no devel package
- license (LGPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on FC4 i386
- no missing BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED

Note You need to log in before you can comment on or make changes to this bug.